TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

MatrixRing ( alg^mat A, fld^fin E ) -> alg^mat, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a matrix algebra A over the finite field F and a subfield E of F, return the matrix algebra N over E obtained from A by expanding each component of an element of A into the block matrix associated with it (i.e. so N is A considered as an E-matrix algebra), together with the E-isomorphism from A onto N. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack